Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle.execution
Enum BuiltInTasksBuildExecuter.Options

    java.lang.Object
      java.lang.Enum<BuiltInTasksBuildExecuter.Options>
          org.gradle.execution.BuiltInTasksBuildExecuter.Options

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BuiltInTasksBuildExecuter.Options>

Enclosing class:
  BuiltInTasksBuildExecuter

    public static enum BuiltInTasksBuildExecuter.Options

extends java.lang.Enum<BuiltInTasksBuildExecuter.Options>

Enum Constant Summary
`DEPENDENCIES`
`PROPERTIES`
`TASKS`

Method Summary
`static BuiltInTasksBuildExecuter.Options` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BuiltInTasksBuildExecuter.Options[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TASKS

    public static final BuiltInTasksBuildExecuter.Options TASKS

### PROPERTIES

    public static final BuiltInTasksBuildExecuter.Options PROPERTIES

### DEPENDENCIES

    public static final BuiltInTasksBuildExecuter.Options DEPENDENCIES

Method Detail

### values

    public static final BuiltInTasksBuildExecuter.Options[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BuiltInTasksBuildExecuter.Options c : BuiltInTasksBuildExecuter.Options.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BuiltInTasksBuildExecuter.Options valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD